IF OBJECT_ID('dbo.vw_fco_sucursales') IS NOT NULL
    DROP VIEW dbo.vw_fco_sucursales
GO
CREATE VIEW dbo.vw_fco_sucursales  
AS  
SELECT   
    v.compania, v.sucursal, s.codigo_iss,   
    ISNULL(v.descripcion, s.descripcion) AS descripcion,   
    s.direccion, s.cod_dpto, s.cod_ciudad, s.telefono, s.fax,    
    s.nombre_retenedor, s.cedula_retenedor, s.agencias, IsNull(Convert(tinyint, s.autoliquida), 1) autoliquida
FROM vw_fco_sucursales_cia v  
LEFT JOIN fco_sucursales s ON v.compania = s.compania AND v.sucursal = s.sucursal
WHERE 
-- SEGURIDAD POR CLASE DE NOMINA
(EXISTS(SELECT 1 FROM rel_usu_clase_nom x 
           WHERE x.clase_nomina = s.clase_nomina
             AND x.usuario = SYSTEM_USER) OR ISNULL(v.clase_nomina, '--') = '--')
GO
GRANT SELECT ON dbo.vw_fco_sucursales TO PUBLIC
GO
